
190Pad - Bug #13424

Bug # 13411 (New): Bugs on Corporate 190Pad

[QA] Mypageマスタ登録不備：invoice.invoice_metered_cmcrg_rate

03/17/2020 03:54 AM - Enkin Oh

Status: Closed % Done: 100%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Type:  バグ要因:  

Description

下記商品コードの登録に不備があります。

SELECT

product_code,max_data_amount,flat_target_data_amount,flat_cmcrg,metered_cmcrg,calc_level,invoice_code

FROM

invoice.invoice_metered_cmcrg_rate

WHERE

product_code in ('MSD-PS2DC','MSS-IPN-PS2DN','MSS-IPA-PS2DN','MSS-IPA-PS2DM')

 

■問題点/期待値

上記プランの上限値は10GBのため、invoiceコードは'TIERED006'ではなく、'TIERED005'まで登録するのが望ましいです。

History

#1 - 03/17/2020 04:26 AM - Anonymous

- Status changed from New to Resolved

- % Done changed from 0 to 90

失礼しました。

修正しましたので、再確認をお願いいたします。

#2 - 03/17/2020 09:33 PM - Enkin Oh

- Status changed from Resolved to Closed

- % Done changed from 90 to 100

修正を確認しました。

#3 - 05/04/2020 10:21 PM - Kazuki Yamada

15GB再追加

INSERT INTO invoice_metered_cmcrg_rate(

product_code, max_data_amount, flat_target_data_amount, flat_cmcrg,

metered_cmcrg, calc_level, st_date, ed_date, invoice_code, partner_id)

SELECT

product_code, 10000, 0, 3280, 0, 6, st_date, ed_date, 'TIERED_006', partner_id

FROM

invoice.invoice_metered_cmcrg_rate

WHERE

product_code in ('MSD-PS2DC','MSS-IPN-PS2DN','MSS-IPA-PS2DN','MSS-IPA-PS2DM')

and

calc_level = 5
#4 - 05/04/2020 10:31 PM - Kazuki Yamada

INSERT INTO invoice.voice_sales_product_info(

crg_asrt_code, product_code, sales_product_code, is_taxable,

tax_crg_asrt_code)

select

'TIERED_006', product_code, sales_product_code, is_taxable,

tax_crg_asrt_code

from

invoice.voice_sales_product_info

where

product_code in ('MSD-PS2DC','MSS-IPN-PS2DN','MSS-IPA-PS2DN','MSS-IPA-PS2DM')

and

crg_asrt_code = 'TIERED_005'

#5 - 05/04/2020 10:32 PM - Kazuki Yamada

追加マスタ本番適用済み
